
<?php
$ruta = "../";
require_once "../class/c_login.php";

if (!isset($_SESSION['user']))
    die(json_encode(['error' => 'No se ha iniciado sesión']));

$user = unserialize($_SESSION['user']);
require_once "../include/bd_pdo.php";

$nombre_carrera = mb_strtoupper($_POST['carreraCrear']); 
$facultad_id = $_POST['facultadCrear']; 
$nivel_id = $_POST['nivelCrear']; 
$clave_carrera = $_POST['nombreCarreraCrear']; 


$sql = "INSERT INTO public.carrera(carrera_nombre, facultad_id, nivel_id, clave_carrera, carrera_activa, carrera_comun)
        VALUES (:nombre_carrera, :facultad_id, :nivel_id, :clave_carrera, true, false)";

$params = [
    ':nombre_carrera' => $nombre_carrera,
    ':facultad_id' => $facultad_id,
    ':nivel_id' => $nivel_id,
    ':clave_carrera' => $clave_carrera
];

$resultado = query($sql, $params, true);
header("Location: ../carreras.php?facultad=" . $_POST['facultad']);
exit();
